
if(window.File && window.FileReader) {
    //File API
    alert("ご使用のブラウザはFile APIを実装しています");
}else{
    alert("ご使用のブラウザはFile APIをサポートしていません");
}

function filemethod(){
document.getElementById("con").innerHTML="Please input File.";
var obj1 = document.getElementById("exsample");
//ダイアログでファイルが選択された時
obj1.addEventListener("change",function(evt){
  document.getElementById("con").innerHTML="Complete upload!";
  var file = evt.target.files;
  //FileReaderの作成
  var reader = new FileReader();
  //テキスト形式で読み込む
  reader.readAsText(file[0]);
  
  //読込終了後の処理
  reader.onload = function(ev){
    //テキストエリアに表示する
  document.getElementById("change").innerHTML = reader.result;
  //console.log(typeof reader.result);
  var textvalue;
  textvalue=JSON.parse(reader.result);
  //console.log(typeof textvalue);
  document.forms.eucentric.maxtilt.value=textvalue['maxtilt'];
  document.forms.eucentric.speed.value=textvalue['speed'];
  document.forms.eucentric.zshift.value=textvalue['zshift'];
  };
},false);
}

function TextSave() {
//文字を取得
var text = document.getElementById('text').value;
//ファイル名を取得、デフォルトは「mytext」
var name = document.getElementById('name').value || 'mytext';

//テキストファイルを作成
var blob = new Blob( [text], {type: 'text/plain'} );

//リンクを取得
var link = document.getElementById('DL_link') ;
//リンクにダウンロードするファイルをセット
link.href = window.URL.createObjectURL(blob);

//もしダウンロード属性に対応していたら
if ('download' in link){
//リンクにダウンロードする名前をセット
link.download = name + '.txt';
//リンクをクリックしてダウンロードさせる
link.click();

//もし対応してなかったら
} else {
//メッセージを表示する
link.textContent = '右クリックから名前を付けて保存してください';

}

}